interactions:
- request:
    body: ''
    headers:
      accept:
      - application/json
      content-length:
      - '0'
    method: DELETE
    uri: https://gitlab.com/api/v4/projects/22233142/repository/branches/new-test
  response:
    body:
      string: ''
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 66362deb98865d4b-LIS
      Cache-Control:
      - no-cache
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 22 Jun 2021 14:31:17 GMT
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-09-lb-gprd
      GitLab-SV:
      - localhost
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '8'
      RateLimit-Remaining:
      - '1992'
      RateLimit-Reset:
      - '1624372337'
      RateLimit-ResetTime:
      - Tue, 22 Jun 2021 14:32:17 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 01F8T23VZPKJ9MW35NNCCPSXCD
      X-Runtime:
      - '0.503068'
      cf-request-id:
      - 0ad5bb074400005d4bab15a000000001
    status:
      code: 204
      message: No Content
    url: https://gitlab.com/api/v4/projects/22233142/repository/branches/new-test
version: 1
